"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const predicate_1 = require("./lib/predicates/predicate");
const any_1 = require("./lib/predicates/any");
const base_predicate_1 = require("./lib/predicates/base-predicate");
const string_1 = require("./lib/predicates/string");
const number_1 = require("./lib/predicates/number");
const boolean_1 = require("./lib/predicates/boolean");
const array_1 = require("./lib/predicates/array");
const object_1 = require("./lib/predicates/object");
const date_1 = require("./lib/predicates/date");
const error_1 = require("./lib/predicates/error");
const map_1 = require("./lib/predicates/map");
const weak_map_1 = require("./lib/predicates/weak-map");
const set_1 = require("./lib/predicates/set");
const weak_set_1 = require("./lib/predicates/weak-set");
const main = (value, predicate) => predicate[base_predicate_1.testSymbol](value, main);
Object.defineProperties(main, {
    create: {
        value: (predicate) => (value) => main(value, predicate)
    },
    any: {
        value: (...predicates) => new any_1.AnyPredicate(predicates)
    },
    string: {
        get: () => new string_1.StringPredicate()
    },
    number: {
        get: () => new number_1.NumberPredicate()
    },
    boolean: {
        get: () => new boolean_1.BooleanPredicate()
    },
    undefined: {
        get: () => new predicate_1.Predicate('undefined')
    },
    null: {
        get: () => new predicate_1.Predicate('null')
    },
    nullOrUndefined: {
        get: () => new predicate_1.Predicate('nullOrUndefined')
    },
    nan: {
        get: () => new predicate_1.Predicate('nan')
    },
    symbol: {
        get: () => new predicate_1.Predicate('symbol')
    },
    array: {
        get: () => new array_1.ArrayPredicate()
    },
    object: {
        get: () => new object_1.ObjectPredicate()
    },
    date: {
        get: () => new date_1.DatePredicate()
    },
    error: {
        get: () => new error_1.ErrorPredicate()
    },
    map: {
        get: () => new map_1.MapPredicate()
    },
    weakMap: {
        get: () => new weak_map_1.WeakMapPredicate()
    },
    set: {
        get: () => new set_1.SetPredicate()
    },
    weakSet: {
        get: () => new weak_set_1.WeakSetPredicate()
    },
    function: {
        get: () => new predicate_1.Predicate('function')
    },
    buffer: {
        get: () => new predicate_1.Predicate('buffer')
    },
    regExp: {
        get: () => new predicate_1.Predicate('regExp')
    },
    promise: {
        get: () => new predicate_1.Predicate('promise')
    },
    typedArray: {
        get: () => new predicate_1.Predicate('typedArray')
    },
    int8Array: {
        get: () => new predicate_1.Predicate('int8Array')
    },
    uint8Array: {
        get: () => new predicate_1.Predicate('uint8Array')
    },
    uint8ClampedArray: {
        get: () => new predicate_1.Predicate('uint8ClampedArray')
    },
    int16Array: {
        get: () => new predicate_1.Predicate('int16Array')
    },
    uint16Array: {
        get: () => new predicate_1.Predicate('uint16Array')
    },
    int32Array: {
        get: () => new predicate_1.Predicate('int32Array')
    },
    uint32Array: {
        get: () => new predicate_1.Predicate('uint32Array')
    },
    float32Array: {
        get: () => new predicate_1.Predicate('float32Array')
    },
    float64Array: {
        get: () => new predicate_1.Predicate('float64Array')
    },
    arrayBuffer: {
        get: () => new predicate_1.Predicate('arrayBuffer')
    },
    dataView: {
        get: () => new predicate_1.Predicate('dataView')
    },
    iterable: {
        get: () => new predicate_1.Predicate('iterable')
    }
});
exports.default = main;
//# sourceMappingURL=index.js.map