"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const predicate_1 = require("../predicates/predicate");
/**
 * Operator which inverts all the validations.
 *
 * @hidden
 * @param predictate Predicate to wrap inside the operator.
 */
exports.not = (predicate) => {
    predicate.addValidator = validator => {
        const fn = validator.validator;
        const message = validator.message;
        validator.message = (x) => `[NOT] ${message(x)}`;
        validator.validator = (x) => !fn(x);
        predicate[predicate_1.validatorSymbol].push(validator);
        return predicate;
    };
    return predicate;
};
//# sourceMappingURL=not.js.map