import { Predicate, Context } from './predicate';
export declare class WeakMapPredicate extends Predicate<WeakMap<any, any>> {
    /**
     * @hidden
     */
    constructor(context?: Context);
    /**
     * Test a WeakMap to include all the provided keys. The keys are tested by identity, not structure.
     *
     * @param keys The keys that should be a key in the WeakMap.
     */
    hasKeys(...keys: any[]): this;
    /**
     * Test a WeakMap to include any of the provided keys. The keys are tested by identity, not structure.
     *
     * @param keys The keys that could be a key in the WeakMap.
     */
    hasAnyKeys(...keys: any[]): this;
}
