import { Predicate, Context } from './predicate';
export declare class WeakSetPredicate extends Predicate<WeakSet<any>> {
    /**
     * @hidden
     */
    constructor(context?: Context);
    /**
     * Test a WeakSet to include all the provided items. The items are tested by identity, not structure.
     *
     * @param items The items that should be a item in the WeakSet.
     */
    has(...items: any[]): this;
    /**
     * Test a WeakSet to include any of the provided items. The items are tested by identity, not structure.
     *
     * @param items The items that could be a item in the WeakSet.
     */
    hasAny(...items: any[]): this;
}
