"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const __1 = __importDefault(require(".."));
ava_1.default('not', t => {
    t.notThrows(() => __1.default(1, __1.default.number.not.infinite));
    t.notThrows(() => __1.default(1, __1.default.number.not.infinite.greaterThan(5)));
    t.notThrows(() => __1.default('foo!', __1.default.string.not.alphanumeric));
    t.throws(() => __1.default('', __1.default.string.not.empty), '[NOT] Expected string to be empty, got ``');
});
ava_1.default('is', t => {
    const greaterThan = (max, x) => {
        return x > max || `Expected \`${x}\` to be greater than \`${max}\``;
    };
    t.notThrows(() => __1.default(1, __1.default.number.is(x => x < 10)));
    t.throws(() => __1.default(1, __1.default.number.is(x => x > 10)), 'Expected `1` to pass custom validation function');
    t.throws(() => __1.default(5, __1.default.number.is(x => greaterThan(10, x))), 'Expected `5` to be greater than `10`');
});
ava_1.default('reusable validator', t => {
    const checkUsername = __1.default.create(__1.default.string.minLength(3));
    t.notThrows(() => checkUsername('foo'));
    t.notThrows(() => checkUsername('foobar'));
    t.throws(() => checkUsername('fo'), 'Expected string to have a minimum length of `3`, got `fo`');
    t.throws(() => checkUsername(5), 'Expected argument to be of type `string` but received type `number`');
});
//# sourceMappingURL=test.js.map